Subject: Re: bug#21804: 25.0.50; file-notify-tests failure on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Dec 2016 10:26:53 +0200

> Cc: [email-masked]
> From: Ken Brown <[email-masked]>
> Date: Fri, 30 Dec 2016 17:19:03 -0500
> 
> On 12/30/2016 2:07 PM, Michael Albinus wrote:
> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> -         (string-equal (file-notify--test-monitor) "GPollFileMonitor"))
> >>> +          (or (string-equal (file-notify--test-monitor) "GPollFileMonitor")
> >>> +              (string-equal (file-notify--test-monitor) "GFamFileMonitor")))
> >>
> >> Wouldn't it be better if gfile-monitor-name returned a symbol instead
> >> of a string?  That's our general convention with functions, I think.
> >
> > I've changed it accordingly.
> 
> But since it returns an uninterned symbol, I think I still need to use 
> string-equal above.  Or am I misunderstanding something?

I actually don't understand why Michael decided to return an
uninterned symbol here.